Summary: WWW browser for emacs
Name:    emacs-w3
Version: 4.0pre.46
Release: 2

%define tarname   w3-%{version}
%define prefix    /usr
%define sitelisp  %{prefix}/share/emacs/site-lisp
%define sitestart %{sitelisp}/site-start.el
%define w3init    (require 'w3-init)
%define lispdir   %{sitelisp}/w3
%define datadir   %{prefix}/share/emacs/w3
%define infodir   %{prefix}/info
%define dir       %{infodir}/dir
%define gnus      /usr/local/share/emacs/site-lisp/gnus

Copyright: GPL
Group: Applications/Editors/Emacs
URL: http://www.cs.indiana.edu/elisp/w3/docs.html
Source: ftp://ftp.cs.indiana.edu/pub/elisp/w3/%{tarname}.tar.gz
Requires: emacs >= 20.3, emacs-gnus >= 5.8.7
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
Packager: Werner Bosse <wbosse@berlin.snafu.de>

%description
Emacs/W3 is a full-featured web browser, written entirely in Emacs-Lisp, that
supports all the bells and whistles you will find in use on the web today,
including frames, tables, stylesheets, and much more.

Note: This package expects a recent Gnus version (>= 5.8.7) installed below
%{gnus}.

%changelog
* %(date '+%a %b %d %Y') %(whoami)@%(hostname)
- built %{version} on %(cat /etc/redhat-release) with %(emacs --version| head -1)
/usr/local/share/emacs/site-lisp/gnus

* Tue Aug 08 2000 Werner Bosse <wbosse@berlin.snafu.de>
- configured with --with-gnus option

* Mon Aug 07 2000 Werner Bosse <wbosse@berlin.snafu.de>
- Spec file derived from the version written by Matthew Campbell
  <mattcamp@feist.com> for 4.0pre.44: contributions and w3-patches droped,
  installation paths for make fixed.

%prep
%setup -q -n %{tarname}

%build
./configure --prefix=%{prefix} \
            --with-lispdir=%{lispdir} \
            --datadir=%{datadir} \
            --with-gnus=%{gnus} \
	    --with-emacs=emacs 
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} \
     lispdir=$RPM_BUILD_ROOT%{lispdir} \
     datadir=$RPM_BUILD_ROOT%{datadir} \
     install

gzip -9vf --name $RPM_BUILD_ROOT%{infodir}/*.info*

install -d -m 755 $RPM_BUILD_ROOT%{lispdir}
install -m 644 contrib/w3-imenu.el $RPM_BUILD_ROOT%{sitelisp}

cat > $RPM_BUILD_ROOT%{sitelisp}/w3-init.el <<EOF
(setq load-path (cons "%{lispdir}" load-path))
(require 'w3-auto "w3-auto")
(provide 'w3-init)
EOF

cd $RPM_BUILD_ROOT%{lispdir}
for el in *.el; do
  [ -s ${el}c ] && gzip -9vf $el
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info %{infodir}/w3.info.gz %{dir}
install-info %{infodir}/w3-faq.info.gz %{dir}
if grep "^%{w3init}$" %{sitestart} >/dev/null 2>&1
then
  true
else
  echo "%{w3init}" >> %{sitestart}
fi

%postun
install-info --remove %{infodir}/w3.info.gz %{dir}
install-info --remove %{infodir}/w3-faq.info.gz %{dir}
ed %{sitestart} >/dev/null 2>&1 <<END
g/^%{w3init}$/d
wq
END

%files
%defattr (-, root, root, 755)
%doc ChangeLog README README.NT README.VMS HOWTO TODO INSTALL BUGS
%{datadir}
%{lispdir}
%{sitelisp}/w3-init.el
%{infodir}/w3*.gz
